Gegevens
GET https://tistos.com/api/data/
curl --request GET \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Beschrijving |
|---|---|---|
| type | Optioneel String | Op welk veld zoekt u? Toegestane waarden zijn: email_collector, phone_collector, contact_collector, appointment_calendar. |
| datetime_field | Optioneel String | Toegestane waarden: datetime |
| datetime_start | Optioneel String | Filter resultaten vanaf deze datum en tijd. Formaat Y-m-d H:i:s. |
| datetime_end | Optioneel String | Filter resultaten tot deze datum en tijd. Formaat Y-m-d H:i:s. |
| order_by | Optioneel String | Op welk veld moeten de resultaten worden gesorteerd? Toegestane waarden zijn: datum_id, datetime. |
| order_type | Optioneel String | De volgorde van de resultaten. Toegestane waarden zijn: ASC voor oplopende volgorde, en DESC voor aflopende volgorde. |
| page | Optioneel Geheel getal | Het paginanummer waar je resultaten van wilt. Standaard is dit 1. |
| results_per_page | Optioneel Geheel getal | Hoeveel resultaten wilt u per pagina. Toegestane waarden zijn: 10, 25, 50, 100, 250, 500, 1000. Standaard is 25. |
{
"data": [
{
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 12:33:32",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/data?page=1",
"last": "https://tistos.com/api/data?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/data?page=1"
}
}
GET https://tistos.com/api/data/{datum_id}
curl --request GET \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"biolink_block_id": 1,
"link_id": 1,
"project_id": 1,
"type": "mail",
"data": {
"email": "[email protected]",
"name": "John doe"
},
"datetime": "2026-07-18 12:33:32",
}
}
DELETE https://tistos.com/api/data/{datum_id}
curl --request DELETE \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/data/{datum_id}' \
--header 'Authorization: Bearer {api_key}' \